$(function() {
		function newrezsize() {
			var window_width = $(window).width();
			var window_height = $(window).height();
			$('.a-header').height(window_height);
			$('.a-header .bgimg img').height(window_height).width(window_width);
		}
		newrezsize();
		$(window).resize(function() {
			newrezsize();
		});

		var data = {
			imgs : [],
			id : 0
		};
		$('#content_size').find('img').each(function(i, v) {
			$(this).data('index', i);
			data.imgs.push(this.src);
		})
		$('#content_size').find('img').on(
				'click',
				function() {
					var params = $.extend({}, data);
					params.id = +$(this).data('index');

					location.href = 'cloudjs://photoPreview?params='
							+ JSON.stringify(params);
				});
	});
	/**
	 * 调整字体大小
	 * @type {*|jQuery}
	 */
	function smallSize() {
		$("#content_size").css("font-size", "16px");
	}

	function middleSize() {
		$("#content_size").css("font-size", "18px");
	}

	function bigSize() {
		$("#content_size").css("font-size", "20px");
	}

	function biggerSize() {
		$("#content_size").css("font-size", "22px");
	}

	function praised() {
		$("#praise").removeClass("praise").addClass("praised");
		var digg = parseInt($("#digg").html());
		$("#digg").html((digg + 1));
	}

	function unpraise() {
		$("#praise").removeClass("praised").addClass("praise");
		var digg = parseInt($("#digg").html());
		var res = (digg - 1) >= 0 ? (digg - 1) : 0;
		$("#digg").html(res);
	}
	function collected() {
		$("#collect").removeClass("collect").addClass("collected");
	}
	function uncollect() {
		$("#collect").removeClass("collected").addClass("collect");
	}

	$(function() {
		$('#share-to-wechat').on('click', function() {
			mc.shareTimeline(share);
		});
		
		/**
         * 设置 iframe
         *
         */
        (function (){

            var objIframes = $('article iframe');
            var a = $('article');
            var w = a.width();

            if (!w) {
                return;
            }

            for (var i = 0; i < objIframes.length; i++) {
                var objIframe = $(objIframes[i]);
                var src = objIframe.attr('src');

                // 如果 URL 中没有 thumb 字段，跳过
                if (src.indexOf('thumb') <= 0) {

                    setDefaultIframe(objIframe, w, 9/16);

                } else {
                    // 匹配URL中图片段
                    var img = src.match(/thumb(.*?)&/);

                    if (img[0] && img[0].length > 6) {
                        var len = img[0].length;
                        var image = img[0].substring(6, len - 1).replace('%3A%2F%2F', "://").replace('%2F', '/');
                        setIframe(objIframe, image, w);
                    } else {
                        // 设置默认比例
                        setDefaultIframe(objIframe, w, 3/4);
                    }
                }
            }
        })();

        /**
         * 设置默认的比例
         */
        function setDefaultIframe (obj, w, scale)
        {
            var width = parseInt(w - 20);
            var height = parseInt(width * scale);

            if (width == 0 || height == 0) {
                return;
            }

            obj.css({width: width + 'px', height: height + 'px'});
        }

        /**
         * 设置 Iframe 的大小
         * @param obj
         * @param url
         */
        function setIframe (obj ,url, w)
        {
            $("<img/>",{
                load : function(){
                    var width = parseInt(w - 20);
                    var height = parseInt(width * (this.height) / (this.width));

                    if (width == 0 || height == 0) {
                        return;
                    }

                    obj.css({'width': width, 'height': height})
                },
                src  : url
            });
        }
	});